gtkmm 3.1.16

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions

# Gtk::AppChooser Class Reference

This interface can be implemented by widgets which allow the user to choose an application (typically for the purpose of opening a file). More...

Inheritance diagram for Gtk::AppChooser:
[legend]
Collaboration diagram for Gtk::AppChooser:
[legend]

List of all members.

## Public Member Functions
virtual | ~AppChooser ()
GtkAppChooser* | gobj ()
| Provides access to the underlying C GObject.
const GtkAppChooser* | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< Gio::AppInfo > | get_app_info ()
| Returns the currently selected application.
Glib::RefPtr< const Gio::AppInfo > | get_app_info () const
| Returns the currently selected application.
Glib::ustring | get_content_type () const
| Returns the current value of the Gtk::AppChooser:content-type property.
void | refresh ()
| Reloads the list of applications.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_content_type () const
| The content type used by the open with object.
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::AppChooser > | wrap (GtkAppChooser* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

This interface can be implemented by widgets which allow the user to choose an application (typically for the purpose of opening a file).

The main objects that implement this interface are AppChooserWidget, AppChooserDialog and AppChooserButton.

Since gtkmm 3.0:

## Constructor & Destructor Documentation

virtual Gtk::AppChooser::~AppChooser | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gtk::AppChooser::add_interface | ( | GType | gtype_implementer | ) | `[static]`

Glib::RefPtr<Gio::AppInfo> Gtk::AppChooser::get_app_info | ( |  | ) |

Returns the currently selected application.

Since gtkmm 3.0:

Returns:
  A AppInfo for the currently selected application, or `0` if none is selected. Free with Glib::object_unref().

Glib::RefPtr<const Gio::AppInfo> Gtk::AppChooser::get_app_info | ( |  | ) | const

Returns the currently selected application.

Since gtkmm 3.0:

Returns:
  A AppInfo for the currently selected application, or `0` if none is selected. Free with Glib::object_unref().

Glib::ustring Gtk::AppChooser::get_content_type | ( |  | ) | const

Returns the current value of the Gtk::AppChooser:content-type property.

Since gtkmm 3.0:

Returns:
  The content type of self. Free with Glib::free().

GtkAppChooser* Gtk::AppChooser::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::AppChooserButton, Gtk::AppChooserDialog, and Gtk::AppChooserWidget.

const GtkAppChooser* Gtk::AppChooser::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::AppChooserButton, Gtk::AppChooserDialog, and Gtk::AppChooserWidget.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::AppChooser::property_content_type | ( |  | ) | const

The content type used by the open with object.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::AppChooser::refresh | ( |  | ) |

Reloads the list of applications.

Since gtkmm 3.0:

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::AppChooser > wrap | ( | GtkAppChooser * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/appchooser.h